# Plugins

The CLI supports custom plugins:

```python
# ~/.composabl/plugins/my_plugin.py
import typer

app = typer.Typer()

@app.command()
def custom_command(name: str):
    """My custom command"""
    print(f"Hello, {name}!")

# Register in ~/.composabl/plugins.yaml
plugins:
  - name: my_plugin
    module: my_plugin
    command: custom
```

Use custom commands:

```bash
composabl custom custom-command World
# Output: Hello, World!
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.amesa.com/reference/cli-reference/plugins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
